Get Object Schema by key / id
Retrieve Object Schema by key or ID. This will return the schema of the custom object, including all its fields and properties. Supported objects include contact, opportunity, business and custom objects.To understand objects and records, please have a look the documentation here : https://help.hoopai.com/api-reference/overview/objects
GET
/
objects
/
{key}
Get Object Schema by key / id
curl --request GET \
--url https://services.leadconnectorhq.com/objects/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/objects/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/objects/{key}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"cache": true,
"object": {
"id": "661c06b4ffde146bdb469442",
"standard": false,
"key": "custom_objects.pet",
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"locationId": "Q9DT3OAqEXDLYuob1G32",
"primaryDisplayProperty": "custom_objects.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "These are non vaccinated pets",
"type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
},
"fields": [
{
"locationId": "ve9EPM428h8vShlRW1KT",
"showInForms": true,
"id": "<string>",
"objectKey": "custom_object.pet",
"dataType": "TEXT",
"parentId": "3v34PM428h8vShlRW1KT",
"fieldKey": "custom_object.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "Name",
"description": "<string>",
"placeholder": "<string>",
"options": [
{
"key": "<string>",
"label": "<string>",
"url": "<string>"
}
],
"acceptedFormats": ".pdf",
"allowCustomOption": true,
"maxFileLimit": 2
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Path Parameters
Query Parameters
Last modified on March 8, 2026
Was this page helpful?
Get Object Schema by key / id
curl --request GET \
--url https://services.leadconnectorhq.com/objects/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/objects/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/objects/{key}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"cache": true,
"object": {
"id": "661c06b4ffde146bdb469442",
"standard": false,
"key": "custom_objects.pet",
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"locationId": "Q9DT3OAqEXDLYuob1G32",
"primaryDisplayProperty": "custom_objects.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "These are non vaccinated pets",
"type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
},
"fields": [
{
"locationId": "ve9EPM428h8vShlRW1KT",
"showInForms": true,
"id": "<string>",
"objectKey": "custom_object.pet",
"dataType": "TEXT",
"parentId": "3v34PM428h8vShlRW1KT",
"fieldKey": "custom_object.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "Name",
"description": "<string>",
"placeholder": "<string>",
"options": [
{
"key": "<string>",
"label": "<string>",
"url": "<string>"
}
],
"acceptedFormats": ".pdf",
"allowCustomOption": true,
"maxFileLimit": 2
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}